package com.zd.laboratory.domain.vo;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class EvacuationLine {

    /**
     * 疏散类型 1是向左疏散，2是向右疏散，0是两侧疏散
     */
    private Integer type;

    List<LabExitLineJoinVO> lineJoins;

    private String subId;

    private String subName;

    private Long deptId;

    @ApiModelProperty("院系名称")
    private String deptName;

    @ApiModelProperty("楼栋名称")
    private String buildName;

    @ApiModelProperty("楼栋名称")
    private String floorName;

    @ApiModelProperty("楼层id")
    private Long floorId;

    @ApiModelProperty("楼栋id")
    private Long buildId;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public List<LabExitLineJoinVO> getLineJoins() {
        return lineJoins;
    }

    public void setLineJoins(List<LabExitLineJoinVO> lineJoins) {
        this.lineJoins = lineJoins;
    }

    public String getSubId() {
        return subId;
    }

    public void setSubId(String subId) {
        this.subId = subId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getBuildName() {
        return buildName;
    }

    public void setBuildName(String buildName) {
        this.buildName = buildName;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public Long getBuildId() {
        return buildId;
    }

    public void setBuildId(Long buildId) {
        this.buildId = buildId;
    }
}
